<template>
  <div>
    <h2>Транзакции</h2>
    <span v-show="isLoading">Loading...</span>
    <transaction-item
        v-for="transaction in transactions"
        :key="transaction.id"
        :transaction="transaction"
    />
  </div>
</template>

<style module>

</style>

<script>
export default {
  data() {
    return {
      isLoading: true,
      transactions: [],
    };
  },
  mounted() {
    this.fetchTransactions();
  },
  methods: {
    fetchTransactions() {
      axios.get('/api/transactions')
        .then(response => {
          this.transactions = response.data.data;
        })
        .catch(error => {
          console.error(error);
        })
        .finally(() => {
          this.isLoading = false;
        })
    }
  },
};
</script>